<template>

	<div>


		<div class="cg-profile-over-view-wrap"></div>

        <section class="cg-pop-panel-wrap cart-item-wrap">
            <div class="cg-pop-panel-body  d-flex justify-content-center">
              <div class="cg-semi-body-contents">
                <div class="float-panel-part text-center d-flex align-items-center justify-content-center">
                  <h3 class="font1 cg-section-sml-heading w700">Order Details</h3>
                    <p v-if="this.error_message" class="text-danger"> {{this.error_message }}</p>
                </div>
                <div class="product-upload-form-wrap d-flex align-items-center justify-content-center">

                    <div class="col-md-10 cart-page-wrap d-flex justify-content-center align-items-center">

                      <div class="cart-item-preview col-md-4">
                          <img class="img-fluid" :src="product_.cover_photo_path" :alt="product_.name">
                      </div>

                      <div class="cg-cart-features col-md-4">
                        <ul>
                            <li class="w700 font1 grey f13" v-if="product_.product_sub_category.product_category.name">Category:<span class="add-left-sml cg-product-categories w300 font1 grey f14">{{ product_.product_sub_category.product_category.name }}</span></li>
                            <li class="w700 font1 grey f13" v-if="product_.product_sub_category.name">Category:<span class="add-left-sml cg-product-categories w300 font1 grey f14">{{ product_.product_sub_category.name }}</span></li>
                            <li class="w700 font1 grey f13">Tags:<span class="add-left-sml cg-product-tags w300 font1 grey f14">{{ product_.tag_line }}</span></li>

                            <li class="w700 font1 grey f13" v-if="product_.file_size">File Sizes:<span class="add-left-sml cg-product-file-size w300 font1 grey f14">{{ product_.file_size }}</span></li>
                            <li class="w700 font1 grey f13"  v-if="product_.date_added">Added On:<span class="add-left-sml cg-product-added-date w300 font1 grey f14">{{ product_.date_added }}</span></li>
                            <li class="w700 font1 grey f13"  v-if="product_.date_updated">Updated On:<span class="add-left-sml cg-product-updated-date w300 font1 grey f14">{{ product_.date_updated }}</span></li>
                        </ul>
                      </div>

                      <div class="col-md-4 cg-single-cart-details">
                        <div class="cg-cart-total d-flex justify-content-between align-items-center">
                            <h3 class="f18 font1 w700">Order Total</h3>
                            <h2 class="f40 font1 w700 theme add-left-mdm"><span v-if="product_.price">${{ product_.price }}</span><span v-if="!product_.price">Free</span></h2>
                        </div>
                        <div class="d-flex justify-content-start add-top-sml">
                            <h4 class="cg-product-name second font1 f18 w600">{{ product_.name }}</h4>
                        </div>

                        <div class="cg-product-star-rating d-flex justify-content-start">
                            <i class="f13 theme fa fa-star"></i>
                            <i class="f13 theme fa fa-star"></i>
                            <i class="f13 theme fa fa-star"></i>
                            <i class="f13 theme fa fa-star"></i>
                            <i class="f13 theme fa fa-star"></i>
                        </div>

                        <ul class="add-top-mdm">
                            <li class="w700 font1 grey f13">Licence Type:<span class="add-left-sml cg-product-added-date w300 font1 grey f14">Regular</span></li>
                            <li class="w700 font1 grey f13" v-if="product_.file_type">File Types:<span class="add-left-sml cg-product-file-types w300 font1 grey f14">{{ product_.file_type }}</span></li>
                        </ul>

                          <div class="cg-direct-buy-proceed-btn d-flex justify-content-end">
                            <input type="submit" v-on:click="buyNow" value="Proceed to checkout" name="submit" id="submit" />
                          </div>
                      </div>

                    </div>
                </div>

              </div>
            </div>
        </section>


	</div>
</template>
<script>
export default {
props: ['product'],
data() {
return {
product_ : JSON.parse(this.product),
    success_message:'',
    error_message:'',
}
},
methods: {

    buyNow(){

        let currentObj = this;

        currentObj.success_message='';
        currentObj.error_message='';

        const config = {
            headers: {
                'content-type':'application/json',
                'Accept':'application/json'
            }
        }

        let formData = new FormData();

        formData.append('product_id',  this.product_.id);

        axios.post('/proceed_to_checkout_buy_now', formData, config).then((response)=>{


           if(response.data.status == 'success')
            {
                location.href = "/user/"+response.data.unique_id+"/dashboard/downloads";
            }
            else
            {
                currentObj.error_message = response.data.message

            }




        })
    },

},
mounted() {

}
}
</script>
